#pragma once

#include <time.h>
#include <string>
#include <sstream>
#include <string.h>
#ifdef _WIN32
#ifdef KDV_ACCESS_TOKEN_EXPORTS
#define KDV_ACCESS_TOKEN_API __declspec(dllexport)
#else
#define KDV_ACCESS_TOKEN_API __declspec(dllimport)
#endif
#endif

class AccessToken
{
public:
    KDV_ACCESS_TOKEN_API static std::string Build(const std::string &app_id, const std::string &app_secret, const char *user_id, int expire);
};
