#-------------------------------------------------
#
# Project created by QtCreator 2021-06-04T16:44:31
#
#-------------------------------------------------

QT       += core gui

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = rtcSDK
TEMPLATE = app

# The following define makes your compiler emit warnings if you use
# any feature of Qt which has been marked as deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if you use deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
        ../source/displaywidget.cpp \
        ../source/main.cpp \
        ../source/loginwindow.cpp \
        ../source/roomwindow.cpp \
        ../source/devicelistwindow.cpp

HEADERS += \
        ../include/displaywidget.h \
        ../include/loginwindow.h \
        ../include/roomwindow.h \
        ../include/devicelistwindow.h

INCLUDEPATH += \
        ../include \
        ../accounttoken/include \
        ../../common/include/krtcsdk

FORMS += \
        ../resource/displaywidget.ui \
        ../resource/loginwindow.ui \
        ../resource/roomwindow.ui \
        ../resource/devicelistwindow.ui

# Default rules for deployment.
qnx: target.path = /tmp/$${TARGET}/bin
else: unix:!android: target.path = /opt/$${TARGET}/bin
!isEmpty(target.path): INSTALLS += target

win32:CONFIG(debug, debug|release) {
    CONFIG += c++11 console
    LIBS += -L$$PWD/../accounttoken/lib/debug -laccoutToken
    LIBS += -L$$PWD/../../../10-common/lib/debug/win32_2017/ -lkrtcsdk
}

win32:CONFIG(release, debug|release) {
    CONFIG += c++11
    LIBS += -L$$PWD/../accounttoken/lib/release -laccoutToken
    LIBS += -L$$PWD/../../../10-common/lib/release/win32_2017/ -lkrtcsdk
}

RESOURCES += \
    ../resource/icon.qrc

